#!/bin/bash

cat >/etc/radvd.conf <<EOF
interface ${RADVD_INTERFACE} {
  AdvSendAdvert on;
  IgnoreIfMissing on;
EOF

[ "${RADVD_ADV_MANAGEMENT_FLAG}" ] && \
  echo "  AdvManagedFlag ${RADVD_ADV_MANAGEMENT_FLAG};" >>/etc/radvd.conf
[ "${RADVD_MTU}" ] && \
  echo "  AdvLinkMTU ${RADVD_MTU};" >>/etc/radvd.conf
[ "${RADVD_SOURCE_LL_ADDRESS}" ] && \
  echo "  AdvSourceLLAddress ${RADVD_SOURCE_LL_ADDRESS};" >>/etc/radvd.conf
[ "${RADVD_OTHER_CONFIG_FLAG}" ] && \
  echo "  AdvOtherConfigFlag ${RADVD_OTHER_CONFIG_FLAG};" >>/etc/radvd.conf
  
cat >>/etc/radvd.conf <<EOF
  prefix ${RADVD_PREFIX}
  {
    AdvOnLink on;
    AdvAutonomous on;
    AdvRouterAddr on;
    DeprecatePrefix on;
  };
};
EOF

/usr/sbin/radvd --config=/etc/radvd.conf --logmethod=stderr --nodaemon

# vim: expandtab tabstop=2 shiftwidth=2
